# TCGBPurchasableReceipt Class Reference

Inherits from | NSObject
Declared in | TCGBPurchasableReceipt.h TCGBPurchasableReceipt.m

## Overview

The TCGBPurchasableReceipt class represent a receipt that is from the IAP Server.

## Properties

### `storeCode`

storeCode

`@property (nonatomic, strong) NSString *storeCode`

#### Declared In

`TCGBPurchasableReceipt.h`

### `itemSeq`

itemSeq

`@property (assign) long itemSeq`

#### Discussion

Item Sequence which is the number presented in NHN Cloud IAP Console.

#### Declared In

`TCGBPurchasableReceipt.h`

### `marketItemId`

marketItemId

`@property (nonatomic, strong) NSString *marketItemId`

#### Discussion

ItemID which is registered at market(itunesconnect).

#### Declared In

`TCGBPurchasableReceipt.h`

### `gamebaseProductId`

gamebaseProductId

`@property (nonatomic, strong) NSString *gamebaseProductId`

#### Discussion

productID which is registered at IAP Console

#### Declared In

`TCGBPurchasableReceipt.h`

### `price`

item price

`@property (assign) float price`

#### Discussion

This value is from the market.

Warning: If there is no price data, it will be initialized to -1

#### Declared In

`TCGBPurchasableReceipt.h`

### `currency`

currency

`@property (nonatomic, strong) NSString *currency`

#### Declared In

`TCGBPurchasableReceipt.h`

### `paymentSeq`

paymentSeq

`@property (nonatomic, strong) NSString *paymentSeq`

#### Discussion

Payment Sequence is used to trace purchase transaction.

#### Declared In

`TCGBPurchasableReceipt.h`

### `purchaseToken`

purchaseToken

`@property (nonatomic, strong) NSString *purchaseToken`

#### Discussion

Purchase Token is an unique string to validate purchasement.

#### Declared In

`TCGBPurchasableReceipt.h`

### `productType`

productType

`@property (nonatomic, strong) NSString *productType`

#### Discussion

This string value represent type of product. (CONSUMABLE, UNKNOWN, AUTO_RENEWABLE, CONSUMABLE_AUTO_RENEWABLE)

#### Declared In

`TCGBPurchasableReceipt.h`

### `userId`

userId

`@property (nonatomic, strong) NSString *userId`

#### Declared In

`TCGBPurchasableReceipt.h`

### `paymentId`

paymentId

`@property (nonatomic, strong, nullable) NSString *paymentId`

#### Declared In

`TCGBPurchasableReceipt.h`

### `originalPaymentId`

originalPaymentId

`@property (nonatomic, strong, nullable) NSString *originalPaymentId`

#### Declared In

`TCGBPurchasableReceipt.h`

### `purchaseTime`

purchaseTime (epoch time in milliseconds)

`@property (nonatomic, assign) long purchaseTime`

#### Declared In

`TCGBPurchasableReceipt.h`

### `expiryTime`

expiryTime (epoch time in milliseconds)

`@property (nonatomic, assign) long expiryTime`

#### Declared In

`TCGBPurchasableReceipt.h`

### `payload`

userPayload

`@property (nonatomic, strong, nullable) NSString *payload`

#### Declared In

`TCGBPurchasableReceipt.h`

### `sandboxPayment`

sandboxPayment

`@property (nonatomic, assign) BOOL sandboxPayment`

#### Declared In

`TCGBPurchasableReceipt.h`

### `promotionPayment`

promotionPayment

`@property (nonatomic, assign) BOOL promotionPayment`

#### Declared In

`TCGBPurchasableReceipt.h`

### `– initWithStoreCode:itemSeq:marketItemId:gamebaseProductId:price:currency:paymentSeq:purchaseToken:productType:userId:paymentId:originalPaymentId:purchaseTime:expiryTime:payload:sandboxPayment:promotionPayment:`

## @name Allocation

`- (instancetype)initWithStoreCode:(NSString *)storeCode itemSeq:(long)itemSeq marketItemId:(NSString *)marketItemId gamebaseProductId:(NSString *)gamebaseProductId price:(float)price currency:(NSString *)currency paymentSeq:(NSString *)paymentSeq purchaseToken:(NSString *)purchaseToken productType:(NSString *)productType userId:(NSString *)userId paymentId:(nullable NSString *)paymentId originalPaymentId:(nullable NSString *)originalPaymentId purchaseTime:(long)purchaseTime expiryTime:(long)expiryTime payload:(nullable NSString *)payload sandboxPayment:(BOOL)sandboxPayment promotionPayment:(BOOL)promotionPayment`

#### Declared In

`TCGBPurchasableReceipt.h`